samtools-head(1)

NAME
samtools-head - view SAM/BAM/CRAM file headers

SYNOPSIS
samtools head [-h INT] [-n INT] [FILE]

DESCRIPTION
By default, prints all headers from the specified input file to standard output in SAM format. The input alignment file may be in SAM, BAM, or CRAM format; if no FILE is specified, standard input will be read. With appropriate options, only some of the headers and/or additionally some of the alignment records will be printed.

The samtools head command outputs SAM headers exactly as they appear in the input file; in particular, it never adds an @PG header itself. (Other samtools commands add such @PG headers to facilitate provenance tracking in analysis pipelines, but because samtools head never outputs more than a handful of alignment records it is unsuitable for use in such contexts anyway.)

OPTIONS

-h, --headers INT
    Display only the first INT header lines. By default, all header lines are displayed.

-n, --records INT
    Also display the first INT alignment records. By default, no alignment records are displayed.

AUTHOR
Written by John Marshall from the University of Glasgow.

SEE ALSO
samtools(1), samtools-view(1)